Debian Bug report logs - #685319
ITA: python-eventlet -- concurrent networking library for Python

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stefano Rivera <stefanor@debian.org>

Date: Sun, 19 Aug 2012 17:39:04 UTC

Owned by: Laszlo Boszormenyi (GCS) <gcs@debian.hu>

Severity: normal

Fixed in version python-eventlet/0.9.16-3

Done: Laszlo Boszormenyi (GCS) <gcs@debian.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, openstack-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#685319; Package wnpp. (Sun, 19 Aug 2012 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefanor@debian.org>:
New Bug report received and forwarded. Copy sent to openstack-devel@lists.alioth.debian.org, wnpp@debian.org. (Sun, 19 Aug 2012 17:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefanor@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: python-eventlet -- concurrent networking library for Python
Date: Sun, 19 Aug 2012 19:38:14 +0200
Package: wnpp
Severity: normal

I request an adopter for the python-eventlet package.

I packaged it when it was a dependency of beets, but it hasn't been for
years. The only reverse dependencies are OpenStack components, so it
makes more sense for the openstack team (CCed) to maintain it, I think.

The package description is:
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#685319; Package wnpp. (Mon, 20 Aug 2012 20:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 20 Aug 2012 20:03:08 GMT) Full text and rfc822 format available.

Message #10 received at 685319@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: control@bugs.debian.org
Cc: 685319@bugs.debian.org
Subject: ITA: python-eventlet
Date: Mon, 20 Aug 2012 19:59:58 +0000
retitle 685319 ITA: python-eventlet -- concurrent networking library for Python
owner !
thanks

Hi,

I would like to adopt for several reasons.
I plan to use it for my own projects. Also plan to be part of the
OpenStack team, for Ceph packaging and for other things as well.

Regards,
Laszlo/GCS




Changed Bug title to 'ITA: python-eventlet -- concurrent networking library for Python' from 'RFA: python-eventlet -- concurrent networking library for Python' Request was from "Laszlo Boszormenyi (GCS)" <gcs@debian.hu> to control@bugs.debian.org. (Mon, 20 Aug 2012 20:03:10 GMT) Full text and rfc822 format available.

Owner recorded as Stefano Rivera <stefanor@debian.org>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 21 Aug 2012 05:15:09 GMT) Full text and rfc822 format available.

Owner changed from Stefano Rivera <stefanor@debian.org> to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 21 Aug 2012 16:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#685319; Package wnpp. (Tue, 21 Aug 2012 16:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefanor@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>. (Tue, 21 Aug 2012 16:24:03 GMT) Full text and rfc822 format available.

Message #21 received at 685319@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefanor@debian.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>, 685319@bugs.debian.org
Cc: Stefano Rivera <stefanor@debian.org>, Monty Taylor <mordred@inaugust.com>, Soren Hansen <soren@ubuntu.com>
Subject: Re: Bug#685319: ITA: python-eventlet
Date: Tue, 21 Aug 2012 18:14:01 +0200
Hi Laszlo (2012.08.20_21:59:58_+0200)
> I would like to adopt for several reasons.
> I plan to use it for my own projects. Also plan to be part of the
> OpenStack team, for Ceph packaging and for other things as well.

Thanks.

I previously contacted my co-maintainers, and got an ACK on moving it to
the OpenStack team from Monty, but no replies from anyone else.  I
suggest you remove all of the existing Uploaders when you take this
over, unless anyone explicitly asks to stay involved.

BTW, there's one open RC Bug that needs some attention/coordination:
#684852

SR

-- 
Stefano Rivera
  http://tumbleweed.org.za/
  H: +27 21 465 6908 C: +27 72 419 8559  UCT: x3127



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#685319; Package wnpp. (Tue, 21 Aug 2012 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>. (Tue, 21 Aug 2012 20:24:03 GMT) Full text and rfc822 format available.

Message #26 received at 685319@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Stefano Rivera <stefanor@debian.org>, Örjan Persson <orange@fobie.net>
Cc: 685319@bugs.debian.org, Monty Taylor <mordred@inaugust.com>, Soren Hansen <soren@ubuntu.com>
Subject: Re: Bug#685319: ITA: python-eventlet
Date: Tue, 21 Aug 2012 20:20:43 +0000
On Tue, 2012-08-21 at 18:14 +0200, Stefano Rivera wrote:
> I previously contacted my co-maintainers, and got an ACK on moving it to
> the OpenStack team from Monty, but no replies from anyone else.I
> suggest you remove all of the existing Uploaders when you take this
> over, unless anyone explicitly asks to stay involved.
 OK, will remove them, unless hear otherwise.

> BTW, there's one open RC Bug that needs some attention/coordination:
> #684852
 I think python-greenlet needs to be fixed for Wheezy. Its bug will
affect everyone, not just python-eventlet. Only the relevant bugfix
should be uploaded to wheezy-proposed or something that fits this case.
I can fix it in python-eventlet , the test should be run with the
'--without-greenlet' switch and it'll build. But still downloads
greenlet. :( This seconds that python-greenlet should be fixed.

By the way, Örjan, do you still maintain your package? May I take over
it?

Regards,
Laszlo/GCS




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#685319; Package wnpp. (Tue, 21 Aug 2012 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefanor@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>. (Tue, 21 Aug 2012 20:39:06 GMT) Full text and rfc822 format available.

Message #31 received at 685319@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefanor@debian.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: Örjan Persson <orange@fobie.net>, 685319@bugs.debian.org
Subject: Re: Bug#685319: ITA: python-eventlet
Date: Tue, 21 Aug 2012 22:37:46 +0200
Hi Laszlo (2012.08.21_22:20:43_+0200)
> I think python-greenlet needs to be fixed for Wheezy. Its bug will
> affect everyone, not just python-eventlet. Only the relevant bugfix
> should be uploaded to wheezy-proposed or something that fits this case.

+1

SR

-- 
Stefano Rivera
  http://tumbleweed.org.za/
  H: +27 21 461 1230 C: +27 72 419 8559



Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
You have taken responsibility. (Sat, 17 Nov 2012 14:51:06 GMT) Full text and rfc822 format available.

Notification sent to Stefano Rivera <stefanor@debian.org>:
Bug acknowledged by developer. (Sat, 17 Nov 2012 14:51:06 GMT) Full text and rfc822 format available.

Message #36 received at 685319-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
To: 685319-close@bugs.debian.org
Subject: Bug#685319: fixed in python-eventlet 0.9.16-3
Date: Sat, 17 Nov 2012 14:48:38 +0000
Source: python-eventlet
Source-Version: 0.9.16-3

We believe that the bug you reported is fixed in the latest version of
python-eventlet, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685319@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.hu> (supplier of updated python-eventlet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 17 Nov 2012 14:16:24 +0100
Source: python-eventlet
Binary: python-eventlet
Architecture: source all
Version: 0.9.16-3
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Description: 
 python-eventlet - concurrent networking library for Python
Closes: 684852 685319
Changes: 
 python-eventlet (0.9.16-3) unstable; urgency=low
 .
   * New maintainer (closes: #685319).
 .
   [ Michael Gilbert ]
   * Depend python-greenlet >= 0.3.1-2.1, which provides the needed egg-info
     file fixing a build failure (closes: #684852).
Checksums-Sha1: 
 671119ca15380dc4a2eb12c8a7daf18d53abfc5c 1559 python-eventlet_0.9.16-3.dsc
 4791dccf57e84613d6779bfba9c29df84ac66e12 9904 python-eventlet_0.9.16-3.debian.tar.gz
 826d1b69126ea54455db2d476caf9972a82fd832 294330 python-eventlet_0.9.16-3_all.deb
Checksums-Sha256: 
 f743fd2a95e35f56efd493afc62660659a303e6198a0d30bcce65bb7971b6d7c 1559 python-eventlet_0.9.16-3.dsc
 a231ecf2d4721a6a20bd7a3d1e54319634bf87e0b58d0e79bebe767bb81a894f 9904 python-eventlet_0.9.16-3.debian.tar.gz
 91ab286580e30a5b5a94527a0bd641e92ec6f491eede34edc9e5f1033b7e3d8a 294330 python-eventlet_0.9.16-3_all.deb
Files: 
 4d9059a1a1eb2a12542531d0ed1f7246 1559 python optional python-eventlet_0.9.16-3.dsc
 68200606cc1a0cd21e80dcd0840ee702 9904 python optional python-eventlet_0.9.16-3.debian.tar.gz
 e229f40520baf161831f82db4262a44d 294330 python optional python-eventlet_0.9.16-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCnmE0ACgkQMDatjqUaT93wewCfbAGf5+k0lxB6jRQ9iTQlvWaT
XiIAn0DSSApZr/0JYfyvkFM0YCvlZWia
=O/1L
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Dec 2012 07:26:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:01:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.